Aprepro 5.0x

Macros | Typedefs | Functions | Variables
apr_getline_int.h File Reference

Go to the source code of this file.

## Macros
#define | GL_BUF_SIZE 1024

## Typedefs
typedef size_t(* | gl_strwidth_proc) (char *)
typedef int(* | gl_in_hook_proc) (char *)
typedef int(* | gl_out_hook_proc) (char *)
typedef int(* | gl_tab_hook_proc) (char *, int, int *, size_t)
typedef size_t(* | gl_strlen_proc) (const char *)
typedef char *(* | gl_tab_completion_proc) (const char *, int)

## Functions
char * | getline_int (char *)
void | gl_setwidth (int)
void | gl_histadd (char *)
void | gl_strwidth (gl_strwidth_proc)
void | gl_tab_completion (gl_tab_completion_proc)
char * | gl_local_filename_completion_proc (const char *, int)
void | gl_set_home_dir (const char *homedir)
void | gl_histsavefile (const char *path)
void | gl_histloadfile (const char *path)
char * | gl_win_getpass (const char *prompt, char *pass, int dsize)

## Variables
gl_in_hook_proc | gl_in_hook
gl_out_hook_proc | gl_out_hook
gl_tab_hook_proc | gl_tab_hook
gl_strlen_proc | gl_strlen
gl_tab_completion_proc | gl_completion_proc
int | gl_filename_quoting_desired
const char * | gl_filename_quote_characters
int | gl_ellipses_during_completion
int | gl_completion_exact_match_extra_char
char | gl_buf [GL_BUF_SIZE]

## Macro Definition Documentation

## ◆ GL_BUF_SIZE

#define GL_BUF_SIZE 1024

## Typedef Documentation

## ◆ gl_in_hook_proc

typedef int(* gl_in_hook_proc) (char *)

## ◆ gl_out_hook_proc

typedef int(* gl_out_hook_proc) (char *)

## ◆ gl_strlen_proc

typedef size_t(* gl_strlen_proc) (const char *)

## ◆ gl_strwidth_proc

typedef size_t(* gl_strwidth_proc) (char *)

## ◆ gl_tab_completion_proc

typedef char*(* gl_tab_completion_proc) (const char *, int)

## ◆ gl_tab_hook_proc

typedef int(* gl_tab_hook_proc) (char *, int, int *, size_t)

## Function Documentation

## ◆ getline_int()

char* getline_int | ( | char * |  | ) |

## ◆ gl_histadd()

void gl_histadd | ( | char * |  | ) |

## ◆ gl_histloadfile()

void gl_histloadfile | ( | const char * | path | ) |

## ◆ gl_histsavefile()

void gl_histsavefile | ( | const char * | path | ) |

## ◆ gl_local_filename_completion_proc()

char* gl_local_filename_completion_proc | ( | const char * | ,
|  | int |
| ) |  |

## ◆ gl_set_home_dir()

void gl_set_home_dir | ( | const char * | homedir | ) |

## ◆ gl_setwidth()

void gl_setwidth | ( | int |  | ) |

## ◆ gl_strwidth()

void gl_strwidth | ( | gl_strwidth_proc |  | ) |

## ◆ gl_tab_completion()

void gl_tab_completion | ( | gl_tab_completion_proc |  | ) |

## ◆ gl_win_getpass()

char* gl_win_getpass | ( | const char * | prompt,
|  | char * | pass,
|  | int | dsize
| ) |  |

## Variable Documentation

## ◆ gl_buf

char gl_buf[GL_BUF_SIZE]

## ◆ gl_completion_exact_match_extra_char

int gl_completion_exact_match_extra_char

## ◆ gl_completion_proc

gl_tab_completion_proc gl_completion_proc

## ◆ gl_ellipses_during_completion

int gl_ellipses_during_completion

## ◆ gl_filename_quote_characters

const char* gl_filename_quote_characters

## ◆ gl_filename_quoting_desired

int gl_filename_quoting_desired

## ◆ gl_in_hook

gl_in_hook_proc gl_in_hook

## ◆ gl_out_hook

gl_out_hook_proc gl_out_hook

## ◆ gl_strlen

gl_strlen_proc gl_strlen

## ◆ gl_tab_hook

gl_tab_hook_proc gl_tab_hook